//
//  ViewController.m
//  TwoCutTableView
//
//  Created by Crystal on 2017/6/7.
//  Copyright © 2017年 Tangdada. All rights reserved.
//

#import "ViewController.h"
#import "ZTwoCutTableView.h"
#import "Masonry.h"

@interface ViewController ()

@property (nonatomic, strong) ZTwoCutTableView *twoCutTable;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.view.backgroundColor = [UIColor whiteColor];
    
    _twoCutTable = [[ZTwoCutTableView alloc] init];
    _twoCutTable.leftTitle = @"左标题";
    _twoCutTable.rightTitles = @[@"右标题1", @"右标题2", @"右标题3", @"右标题4", @"右标题5"];
    _twoCutTable.leftContents = @[@"左内容1", @"左内容2", @"左内容3", @"左内容4", @"左内容5"];
    _twoCutTable.rightContents = @[@[@"1", @"11", @"111", @"1111", @"11111"], @[@"2", @"22", @"222", @"2222", @"22222"], @[@"3", @"33", @"333", @"3333", @"33333"], @[@"4", @"44", @"444", @"4444", @"44444"], @[@"5", @"55", @"555", @"5555", @"55555"]];
    [self.view addSubview:_twoCutTable];
    [_twoCutTable mas_makeConstraints:^(MASConstraintMaker *make) {
        make.edges.equalTo(self.view);
    }];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
